#define MAXLINELENGTH 1000
#define MAX_SYMBOLS 10000

struct symbol_type {
   int   address;   
   int   size;
   int   type;
   int   label_length;   
   char  *label;
};

extern struct symbol_type symbol[MAX_SYMBOLS];
extern int num_symbols;

short get_symbol_address(char *s,
			 int error_if_missing,char *error,int line,
			 short text_offset,short bss_offset);
void dump_symbols();
void dump_symbols_to_disk(FILE *out);
void read_symbols_from_disk(FILE *in,long offset);
int get_symbol_table_size();
void add_symbol(char *sym,short address,int type);
int find_symbol_by_address(short address,int type);
