#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>


  /* convert short to big-endian and write to disk */
void write_be_short(FILE *object_file,short num) {
 
   char buffer[2];
   
   buffer[0]=(num>>8)&0xff;
   buffer[1]=num&0xff;

   fwrite(buffer,sizeof(char),2,object_file);

}

  /* convert 32-bit value to big-endian and write to disk */
void write_be_int(FILE *object_file,int num) {
 
   char unsigned buffer[4];
   
   buffer[0]=(num>>24)&0xff;
   buffer[1]=(num>>16)&0xff;
   buffer[2]=(num>>8)&0xff;   
   buffer[3]=num&0xff;

   fwrite(buffer,sizeof(char),4,object_file);

}


int read_be_int(FILE *object_file) {

   unsigned char buffer[4];
   
   fread(buffer,sizeof(char),4,object_file);
   
   return (buffer[0]<<24)+(buffer[1]<<16)+(buffer[2]<<8)+buffer[3];
}
